Skip to content

Click-to-Call (Originate) ​

POST /api/v1/calls/originate

Bridges an agent's PBX SIP extension with an external customer number.

  1. PingoLine rings the agent's extension first.
  2. When the agent answers their softphone or IP desk phone, PingoLine immediately dials the customer.
  3. Both parties are connected in high-definition voice.

Parameters ​

ParameterTypeRequiredDescription
extensionstringYesAgent PBX extension number (e.g. 101)
phonestringYesDestination customer phone number

Example Request ​

bash
curl -X POST "https://pingoline.com/api/v1/calls/originate" \
  -H "Authorization: Bearer YOUR_API_TOKEN_HERE" \
  -H "Content-Type: application/json" \
  -d '{
    "extension": "101",
    "phone": "01712345678"
  }'

Response (202 Accepted) ​

json
{
  "data": {
    "status": "ringing_extension",
    "extension": "101",
    "phone": "01712345678"
  }
}

Released under the MIT License.